using System;
using System.IO;

namespace Typ_disku
{
   class Program
   {
      [STAThread]
      static void Main(string[] args)
      {
         Console.Title = "Zjištění typu disku v daném systému";

         // Zjištění všech diskových zařízení systému
         string[] drives = Environment.GetLogicalDrives();

         // Projdeme vrácené pole
         // a typ diskového zařízení
         foreach (string driveName in drives)
         {
            // Vytvoříme instanci typu DriveInfo
            DriveInfo driveInfo = new DriveInfo(driveName);

            // Zjistíme písmeno disku
            Console.Write(driveInfo.Name.Replace(":\\", "") + ": ");

            // Zjistíme typ zařízení
            switch (driveInfo.DriveType)
            {
               case DriveType.CDRom:
                  Console.WriteLine("CD/DVD-ROM");
                  break;

               case DriveType.Fixed:
                  Console.WriteLine("Oddíl pevného disku");
                  break;

               case DriveType.Ram:
                   Console.WriteLine("Disk Ram");
                  break;

               case DriveType.Network:
                   Console.WriteLine("Síťový disk");
                  break;

               case DriveType.NoRootDirectory:
                   Console.WriteLine("Disk bez kořenového adresáře");
                  break;

               case DriveType.Removable:
                   Console.WriteLine("Vyjímatelný disk");
                  break;

               case DriveType.Unknown:
                  Console.WriteLine("Neznámý typ");
                  break;
            }
         }

         Console.WriteLine();
         Console.WriteLine("Stiskni Enter");
         Console.ReadLine();
      }
   }
}
